Package org.drinkless.tdlib

# Class TdApi.MessageSchedulingStateSendWhenVideoProcessed

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageSchedulingState
org.drinkless.tdlib.TdApi.MessageSchedulingStateSendWhenVideoProcessed

Enclosing class:
  `TdApi`

public static class TdApi.MessageSchedulingStateSendWhenVideoProcessed extends TdApi.MessageSchedulingState
The message will be sent when the video in the message is converted and optimized; can be used only by the server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageSchedulingState

  `TdApi.MessageSchedulingState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `sendDate`
  Approximate point in time (Unix timestamp) when the message is expected to be sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSchedulingStateSendWhenVideoProcessed()`
  The message will be sent when the video in the message is converted and optimized; can be used only by the server.
  `MessageSchedulingStateSendWhenVideoProcessed(int sendDate)`
  The message will be sent when the video in the message is converted and optimized; can be used only by the server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sendDate

    public int sendDate
    Approximate point in time (Unix timestamp) when the message is expected to be sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSchedulingStateSendWhenVideoProcessed

    public MessageSchedulingStateSendWhenVideoProcessed()
    The message will be sent when the video in the message is converted and optimized; can be used only by the server.

  - ### MessageSchedulingStateSendWhenVideoProcessed

    public MessageSchedulingStateSendWhenVideoProcessed(int sendDate)
    The message will be sent when the video in the message is converted and optimized; can be used only by the server.
    Parameters:
      `sendDate` - Approximate point in time (Unix timestamp) when the message is expected to be sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageSchedulingState`
    Returns:
      this.CONSTRUCTOR